// 小程序-金额相关接口
import request from '@/utils/request'

// 小程序-金额流水信息列表数据查询
export const amountLogList = (params) => {
	return request({
		url: '/applet/amount/amountLogList',
		headers: {
			isToken: true
		},
		method: "get",
		params
	})
}

// 小程序-充值
export const cashIn = (data) => {
	return request({
		url: '/applet/amount/cashIn',
		headers: {
			isToken: true
		},
		method: "post",
		data
	})
}

// 小程序-提现
export const cashOut = (data) => {
	return request({
		url: '/applet/amount/cashOut',
		headers: {
			isToken: true
		},
		method: "post",
		data
	})
}

// 小程序-缴纳保证金
export const teacherPayPrice = (data) => {
	return request({
		url: '/applet/UserTeacher/payPrice',
		headers: {
			isToken: true
		},
		method: "post",
		data
	})
}

// 提现成功
export const withdrawalSuccessful = (params) => {
	return request({
		url: '/applet/amount/withdrawalSuccessful',
		headers: {
			isToken: true
		},
		method: "post",
		params
	})
}